<!-- Displays all matches at a competition. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/index.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

    <div class="page-tlt">
        <h1> Talon <span class = "red-text"> 540 </span> <br>Scouting Portal</br> </h1> 
        
        <div class="right-triangle-decoration"></div>

    </div>
        
    {% if comp %}
        <h1> <div class = "comp-header"> {{ comp.Name }} 2019 </h1>
    {% else %}
        <h1> [Competition Name not found] </h1>
    {% endif %}
    
    <div class = "add-match"> <a href="{% url 'scouting:newmatchformIR' %}"> <i class="fas fa-plus"></i> Add Match</a> </div>
    
    <a href="{% url 'scouting:index' %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Index</a> 

    <h2 class = "comp-header">Matches</h2>
    {% if m %}
        <br>
        <ul>
            <div style="overflow-x:auto;">
                <table id = "matchTable">
                    {% for m2 in m %}
                        <tr><th><a href = "{% url 'scouting:indexSingleMatchIR' comp.id m2.MatchNum %}">Match {{ m2.MatchNum }}</a></th></tr>
                    {% endfor %}
                </table>
            </div>
        </ul>
        <br>
        
    {% else %}
        <p class = "no-data"> No data is available, or there has been an error. Contact programming if this message appears after data has been entered.</p>
    {% endif %}

{% endblock %}
